Skip to main content
`Ctrl`+`K`

# PCSVD

Use pseudo inverse defined by SVD of operator

## Options Database Keys

- -pc_svd_zero_sing rtol - Singular values smaller than this are treated as zero

- -pc_svd_monitor - Print information on the extreme singular values of the operator

## Developer Note

This implementation automatically creates a redundant copy of the matrix on each process and uses a sequential SVD solve. Why does it do this instead of using the composable `PCREDUNDANT` object?

## See Also

KSP: Linear System Solvers, `PCCreate()`, `PCSetType()`, `PCType`, `PC`, `PCREDUNDANT`

## Level

advanced

## Location

src/ksp/pc/impls/svd/svd.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages